# Discount badge

{% hint style="info" %}
**Note**: This article is work in progress.
{% endhint %}

...

#### Discount

The "Discount" of a product is calculated from the difference between the "List price" and the "Price". For more information, see the [Shopware documentation](https://docs.shopware.com/en/shopware-6-en/catalogues/products#prices).

***

## Configuration

...

***

## Summary

#### Snippets

* `twt.extension.discountBadge.discount`
  * `%discount%` is replaced by the discount.
* `twt.extension.discountBadge.discountShort`
  * `%discount%` is replaced by the discount.
  * `%currency%` is replaced by the current currency symbol.
* `twt.extension.discountBadge.percentage`
  * `%discount%` is replaced by the percentage discount.
* `twt.extension.discountBadge.percentageShort`
  * `%discount%` is replaced by the percentage discount.
  * `%currency%` is replaced by the current currency symbol.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.themeware.design/additional-features/extensions/product-badges/discount-badge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
